odf.element.Childless Class Reference

Mixin that makes childless-ness easy to implement and avoids the complexity of the Node methods that deal with children. More...

Inheritance diagram for odf.element.Childless:
[legend]

## Public Member Functions

def | appendChild (self, node)
| Raises an error. More...
def | hasChildNodes (self)
def | insertBefore (self, newChild, refChild)
| Raises an error. More...
def | removeChild (self, oldChild)
| Raises an error. More...
def | replaceChild (self, newChild, oldChild)
| Raises an error. More...

## Static Public Attributes

| attributes = None
| childNodes = EmptyNodeList()
| firstChild = None
| lastChild = None

## Detailed Description

Mixin that makes childless-ness easy to implement and avoids the complexity of the Node methods that deal with children.

Definition at line 279 of file element.py.

## Member Function Documentation

## appendChild()

def odf.element.Childless.appendChild | ( |  | self,
|  |  | node
| ) |  |

Raises an error.

Definition at line 294 of file element.py.

## hasChildNodes()

def odf.element.Childless.hasChildNodes | ( |  | self | ) |

Definition at line 298 of file element.py.

## insertBefore()

def odf.element.Childless.insertBefore | ( |  | self,
|  |  | newChild,
|  |  | refChild
| ) |  |

Raises an error.

Definition at line 303 of file element.py.

## removeChild()

def odf.element.Childless.removeChild | ( |  | self,
|  |  | oldChild
| ) |  |

Raises an error.

Definition at line 309 of file element.py.

## replaceChild()

def odf.element.Childless.replaceChild | ( |  | self,
|  |  | newChild,
|  |  | oldChild
| ) |  |

Raises an error.

Definition at line 315 of file element.py.

## Member Data Documentation

## attributes

odf.element.Childless.attributes = None

static

Definition at line 281 of file element.py.

## childNodes

odf.element.Childless.childNodes = EmptyNodeList()

static

Definition at line 282 of file element.py.

## firstChild

odf.element.Childless.firstChild = None

static

Definition at line 283 of file element.py.

## lastChild

odf.element.Childless.lastChild = None

static

Definition at line 284 of file element.py.

The documentation for this class was generated from the following file:

- odf/element.py